/*
 *  Copyright (C) 2009 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <daniel@orgizm.net>
*/

#ifndef __KIBA_PRELIGHT_H__
#define __KIBA_PRELIGHT_H__

#include <kiba-visual-feature.h>
#include <kiba-win.h>

G_BEGIN_DECLS

typedef struct _KibaPrelightFeature KibaPrelightFeature;
typedef struct _KibaPrelightFeatureClass KibaPrelightFeatureClass;

#define KIBA_TYPE_PRELIGHT_FEATURE           (kiba_prelight_feature_get_type ())
#define KIBA_PRELIGHT_FEATURE(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), KIBA_TYPE_PRELIGHT_FEATURE, KibaPrelightFeature))
#define KIBA_PRELIGHT_FEATURE_CLASS(obj)     (G_TYPE_CHECK_CLASS_CAST ((obj), KIBA_TYPE_PRELIGHT_FEATURE,  KibaPrelightFeatureClass))
#define KIBA_IS_PRELIGHT_FEATURE(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), KIBA_TYPE_PRELIGHT_FEATURE))
#define KIBA_IS_PRELIGHT_FEATURE_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((obj), KIBA_TYPE_PRELIGHT_FEATURE))
#define KIBA_PRELIGHT_FEATURE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), KIBA_TYPE_PRELIGHT_FEATURE, KibaPrelightFeatureClass))

#define PRELIGHT_FEATURE_NAME "prelight"

struct _KibaPrelightFeature {
	KibaVisualFeature parent;
	
	KibaRGBA rgba;    /**< Prelight color */
};

struct _KibaPrelightFeatureClass {
	KibaVisualFeatureClass parent_class;
};

void kiba_prelight_feature_set_rgba(KibaPrelightFeature *prelight, KibaRGBA rgba);

KibaRGBA kiba_prelight_feature_get_rgba(KibaPrelightFeature *prelight);

KibaVisualFeature* kiba_prelight_feature_new(KibaWin *win, KibaPrefsFile *file);

G_END_DECLS

#endif
